QuantLib: StrippedOptionletBase Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.20

Public Member Functions | List of all members
StrippedOptionletBase Class Referenceabstract

`#include <ql/termstructures/volatility/optionlet/strippedoptionletbase.hpp>`

Inheritance diagram for StrippedOptionletBase:
[legend]

## Public Member Functions
virtual const std::vector< Rate > & | optionletStrikes (Size i) const =0
virtual const std::vector< Volatility > & | optionletVolatilities (Size i) const =0
virtual const std::vector< Date > & | optionletFixingDates () const =0
virtual const std::vector< Time > & | optionletFixingTimes () const =0
virtual Size | optionletMaturities () const =0
virtual const std::vector< Rate > & | atmOptionletRates () const =0
virtual DayCounter | dayCounter () const =0
virtual Calendar | calendar () const =0
virtual Natural | settlementDays () const =0
virtual BusinessDayConvention | businessDayConvention () const =0
virtual VolatilityType | volatilityType () const =0
virtual Real | displacement () const =0
Public Member Functions inherited from LazyObject
void | update ()
void | recalculate ()
void | freeze ()
void | unfreeze ()
void | alwaysForwardNotifications ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Additional Inherited Members
Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Member Functions inherited from LazyObject
virtual void | calculate () const
virtual void | performCalculations () const =0
Protected Attributes inherited from LazyObject
bool | calculated_
bool | frozen_
bool | alwaysForward_

## Detailed Description

Abstract base class interface for a (time indexed) vector of (strike indexed) optionlet (i.e. caplet/floorlet) volatilities.